<?php

// ---------------------------------------------------
//
//  Chargement des header et config
//
//  ---------------------------------------------------
include("include/header.inc");
include("include/config.inc");


// ---------------------------------------------------
//
//  Chargement des listes
//
//  ---------------------------------------------------
include("include/loadlist.inc");


// ---------------------------------------------------
//
//  Traitement du formulaire d'ADMIN
//
//  ---------------------------------------------------
if(isset($_POST['deletefile'])) {
	// ---------------------------------------------------
	//
	//  SUPPRESSION USER
	//
	//  ---------------------------------------------------
	// Suppression des fichiers de paramtres associs
	$dir = opendir("data/");
	while ($file = readdir($dir)) {
		$fichier = explode(".", $file);
		if ($fichier[0] == $_POST['fichier']) {
			unlink("data/".$file);
		}
	}
	closedir($dir);

	// Mise  jour du fichier USER.LIST
	$fp = fopen("data/user.list","w");
		foreach($USER as $id => $nc) {
			if ($id != $_POST['fichier']) {
				fwrite($fp, $id."=".$nc."\r\n");
			}
		}
	fclose($fp);

	// Redirection automatique vers la page d'ADMIN
	print("<meta http-equiv='refresh' content='0; url=admin.php' />");		

} else if(isset($_POST['deletegame'])) {
	// ---------------------------------------------------
	//
	//  SUPPRESSION GAME
	//
	//  ---------------------------------------------------
	// Suppression des fichiers de paramtres associs
	$dir = opendir("data/");
	while ($file = readdir($dir)) {
		$fichier = explode(".", $file);
		if ($fichier[1] == "game") {
		
			// Chargement des paramtres associs
			$PARAM = array();
			$fp = fopen("data/".$file, "rb"); 
			while ( ($ligne = fgets($fp)) !== false) { 
				$param = explode("=", $ligne); 
				$idParam = $param[0]; 
				$valParam = $param[1]; 
				$PARAM[$idParam] = $valParam; 
			} 
			fclose($fp);
			
			// Suppression du paramtre dans le fichier
			$fp = fopen("data/".$file,"w");
				foreach($PARAM as $id => $nc) {
					if ($id != $_POST['game']) {
						fwrite($fp, $id."=".trim($nc)."\r\n");
					}
				}
			fclose($fp);

		}
	}
	closedir($dir);

	// Mise  jour du fichier GAME.LIST
	$fp = fopen("data/game.list","w");
		foreach($GAME as $id => $nc) {
			if ($id != $_POST['game']) {
				fwrite($fp, $id."=".$nc."\r\n");
			}
		}
	fclose($fp);

	// Redirection automatique vers la page d'ADMIN
	print("<meta http-equiv='refresh' content='0; url=admin.php' />");	

} else if(isset($_POST['deleteorg'])) {
	// ---------------------------------------------------
	//
	//  SUPPRESSION ORGANISATION
	//
	//  ---------------------------------------------------
	// Suppression des fichiers de paramtres associs
	$dir = opendir("data/");
	while ($file = readdir($dir)) {
		$fichier = explode(".", $file);
		if ($fichier[1] == "info") {
		
			// Chargement des paramtres associs
			$PARAM = array();
			$fp = fopen("data/".$file, "rb"); 
			while ( ($ligne = fgets($fp)) !== false) { 
				$param = explode("=", $ligne); 
				$idParam = $param[0]; 
				$valParam = $param[1]; 
				$PARAM[$idParam] = $valParam; 
			} 
			fclose($fp);
			
			// Suppression du paramtre dans le fichier
			$fp = fopen("data/".$file,"w");
				foreach($PARAM as $id => $nc) {
					if ($id != $_POST['org']) {
						fwrite($fp, $id."=".trim($nc)."\r\n");
					}
				}
			fclose($fp);

		}
	}
	closedir($dir);

	// Mise  jour du fichier ORGANISATION.LIST
	$fp = fopen("data/organisation.list","w");
		foreach($ORGANISATION as $id => $nc) {
			if ($id != $_POST['org']) {
				fwrite($fp, $id."=".$nc."\r\n");
			}
		}
	fclose($fp);

	// Redirection automatique vers la page d'ADMIN
	print("<meta http-equiv='refresh' content='0; url=admin.php' />");	

} else if(isset($_POST['adduser'])) {
	// ---------------------------------------------------
	//
	//  AJOUT USER
	//
	//  ---------------------------------------------------
	// Ajout d'un participant au fichier USER.LIST
	$iduser = hash("md5",$_POST['newuser']);
	$fp = fopen("data/user.list","a");
			fwrite($fp, $iduser."=".$_POST['newuser']."\r\n");
	fclose($fp);
	
	// Les fichiers de paramtres associs seront crs automatiquement
	// lors de la premire connexion au site (en appliquant les rgles de cohrence)

	// Redirection automatique vers la page d'ADMIN
	print("<meta http-equiv='refresh' content='0; url=admin.php' />");	

} else if(isset($_POST['addgame'])) {
	// ---------------------------------------------------
	//
	//  AJOUT GAME
	//
	//  ---------------------------------------------------
	// Ajout d'un jeu au fichier GAME.LIST
	$id = strtolower($_POST['codegame']);
	$nc = $_POST['newgame'];
	$fp = fopen("data/game.list","a");
			fwrite($fp, $id."=".$nc."\r\n");
	fclose($fp);
	
	// Redirection automatique vers la page d'ADMIN
	print("<meta http-equiv='refresh' content='0; url=admin.php' />");	

} else if(isset($_POST['addorg'])) {
	// ---------------------------------------------------
	//
	//  AJOUT ORGANISATION
	//
	//  ---------------------------------------------------
	// Ajout d'un paramtre au fichier ORGANISATION.LIST
	$id = strtolower($_POST['codeorg']);
	$nc = $_POST['neworg'];
	$fp = fopen("data/organisation.list","a");
			fwrite($fp, $id."=".$nc."\r\n");
	fclose($fp);
	
	// Redirection automatique vers la page d'ADMIN
	print("<meta http-equiv='refresh' content='0; url=admin.php' />");	

}else {
	// ---------------------------------------------------
	//
	//  FORMULAIRE
	//
	//  ---------------------------------------------------
	// Affichage du formulaire ADMIN
	print ('<form method="post" action="admin.php">');		

		// Tableau AJOUT USER
		print('<br><br>');	
		print('<table class="tab" width='.$lg_col_adm.'>');
			print('<tr><td><h1>Ajouter un nouveau compte<h1></td></tr>');	
			print('<tr>');
				print('<td align=center>');
					print('<input type="text" name="newuser">');
				print('</td>');
			print('</tr>');
			print('<tr height="50">');
				print('<td align="center">');
					print('<input type="submit" name="adduser" value="ajouter">');
				print('</td>');
			print('</tr>');
		print('</table>');
		
		// Tableau SUPPRESSION USER
		print('<br>');	
		print('<table class="tab" width='.$lg_col_adm.'>');
			print('<tr><td><h1>Slectionner le compte a supprimer<h1></td></tr>');	
			print('<tr>');
				print('<td align=center>');
					print('<select name=fichier>');
						foreach($USER as $id => $nc) {
							print('<option value='.$id.'>'.$nc.'</option>');
						}
					print('</select>');
				print('</td>');
			print('</tr>');
			print('<tr height="50">');
				print('<td align="center">');
					print('<input type="submit" name="deletefile" value="supprimer">');
				print('</td>');
			print('</tr>');
		print('</table>');
		
		// Tableau AJOUT JEUX
		print('<br><br>');	
		print('<table class="tab" width='.$lg_col_adm.'>');
			print('<tr><td><h1>Ajouter un nouveau jeux<h1></td></tr>');	
			print('<tr>');
				print('<td align=center>');
					print('Nom complet : <input type="text" name="newgame">');
					print('<br><br>');
					print('Code : <input type="text" name="codegame">');
				print('</td>');
			print('</tr>');
			print('<tr height="50">');
				print('<td align="center">');
					print('<input type="submit" name="addgame" value="ajouter">');
				print('</td>');
			print('</tr>');
		print('</table>');		

		// Tableau SUPPRESSION JEUX
		print('<br>');	
		print('<table class="tab" width='.$lg_col_adm.'>');
			print('<tr><td><h1>Slectionner le jeu a supprimer<h1></td></tr>');	
			print('<tr>');
				print('<td align=center>');
					print('<select name=game>');
						foreach($GAME as $id => $nc) {
							print('<option value='.$id.'>'.$nc.'</option>');
						}
					print('</select>');
				print('</td>');
			print('</tr>');
			print('<tr height="50">');
				print('<td align="center">');
					print('<input type="submit" name="deletegame" value="supprimer">');
				print('</td>');
			print('</tr>');
		print('</table>');
	
		// Tableau AJOUT ORGANISATION
		print('<br><br>');	
		print('<table class="tab" width='.$lg_col_adm.'>');
			print('<tr><td><h1>Ajouter un paramtre organisation<h1></td></tr>');	
			print('<tr>');
				print('<td align=center>');
					print('Nom complet : <input type="text" name="neworg">');
					print('<br><br>');
					print('Code : <input type="text" name="codeorg">');
				print('</td>');
			print('</tr>');
			print('<tr height="50">');
				print('<td align="center">');
					print('<input type="submit" name="addorg" value="ajouter">');
				print('</td>');
			print('</tr>');
		print('</table>');		

		// Tableau SUPPRESSION ORGANISATION
		print('<br>');	
		print('<table class="tab" width='.$lg_col_adm.'>');
			print('<tr><td><h1>Slectionner le paramtre<br>organisation a supprimer<h1></td></tr>');	
			print('<tr>');
				print('<td align=center>');
					print('<select name=org>');
						foreach($ORGANISATION as $id => $nc) {
							print('<option value='.$id.'>'.$nc.'</option>');
						}
					print('</select>');
				print('</td>');
			print('</tr>');
			print('<tr height="50">');
				print('<td align="center">');
					print('<input type="submit" name="deleteorg" value="supprimer">');
				print('</td>');
			print('</tr>');
		print('</table>');
		
		// Tableau RETOUR
		print('<table class="tab" width='.$lg_col_adm.'>');		
			print('<tr height="20">');
				print('<td align="center">');
					print('<a href="index.php">Retour</a>');
				print('</td>');
			print('</tr>');
		print('</table>');
}





?>