<?php

// ---------------------------------------------------
//
//  Chargement des header et config
//
//  ---------------------------------------------------
include("include/header.inc");
include("include/config.inc");


// ---------------------------------------------------
//
//  Chargement des listes
//
//  ---------------------------------------------------
include("include/loadlist.inc");


// ---------------------------------------------------
//
//  Traitement du formulaire de CONFIGURATION
//
//  ---------------------------------------------------
if(isset($_POST['writefile'])) {

	// Modification du fichier paramtre ORGANISATION
	$file = trim($_POST['fichier']).".info";
	$fp = fopen("data/".$file,"w");
		foreach($ORGANISATION as $id => $val) {
			fwrite($fp, $id."=".$_POST[$id]."\r\n");
		}
	fclose($fp);

	// Modification du fichier paramtre GAME
	$file = trim($_POST['fichier']).".game";
	$fp = fopen("data/".$file,"w");
		foreach($GAME as $id => $val) {
			fwrite($fp, $id."=".$_POST[$id]."\r\n");
		}
	fclose($fp);

	// Redirection automatique vers la page d'INDEX
	print("<meta http-equiv='refresh' content='0; url=index.php' />");

} else {

	// Affichage du formulaire
	print ('<form method="post" action="config.php">');		
				
		// Tableau ORGANISATION
		$nb_col = count($ORGANISATION);
		$lg_tab = ($lg_col_cfg * $nb_col) + $lg_col_nom;
		
		print('<br><br>');	
		print('<table class="tab" width='.$lg_tab.'>');
			print('<tr><td colspan='.($nb_col + 1).'><h1>Organisation LAN 2012<h1></td></tr>');	
		
			// En-tte tableau ORGANISATION
			print('<tr class="trred">');
				print('<td width='.$lg_col_nom.' height="40" align="right">&nbsp;</td>');
				foreach($ORGANISATION as $id => $nc) { 
					$nc = str_replace(" ", "<br>", $nc);
					print('<th align="center" width='.$lg_col_cfg.'>'.$nc.'</td>');	
				}
			print('</tr>');	

			// Contenu tableau ORGANISATION
			$iduser = $_GET['u'];
			$nc = $USER[$iduser];
			print('<tr class="trred">');
				print('<th width='.$lg_col_nom.' height="40" align="right"><a href="config.php?u='.$iduser.'">'.$nc.'</a>&nbsp;&nbsp;</td>');

				// Chargement des paramtres associs
				$PARAM = array();
				$fp = fopen("data/".$iduser.".info", "rb"); 
				while ( ($ligne = fgets($fp)) !== false) { 
					$param = explode("=", $ligne); 
					$idParam = $param[0]; 
					$valParam = $param[1]; 
					$PARAM[$idParam] = $valParam; 
				} 
				fclose($fp);
				foreach($ORGANISATION as $id => $nc) { 
					if (array_key_exists($id, $PARAM)) {
						print('<td align="center" width='.$lg_col_cfg.'>');
							print('<select name='.$id.'>');
								if (trim($PARAM[$id]) == "oui") { 
									print('<option value=oui selected>oui</option>');
								} else {
									print('<option value=oui>oui</option>');
								} 
								if (trim($PARAM[$id]) == "non") {
									print('<option value=non selected>non</option>');
								} else {
									print('<option value=non>non</option>');
								} 
								if ($id != "reponse") {
									if (trim($PARAM[$id]) == "na") { 
										print('<option value=na selected>???</option>');
									} else {
										print('<option value=na>???</option>');
									}
								}
							print('</select>');
						print('</td>');
					} 
				}
			print('<tr>');
		print('</table>');	

		// Tableau JEUX
		$nb_col = count($GAME);
		$lg_tab = ($lg_col_cfg * $nb_col) + $lg_col_nom;

		print('<br><br>');
		print('<table class="tab" width='.$lg_tab.'>');
			print('<tr><td colspan='.($nb_col + 1).'><h1>Liste des JEUX<h1></td></tr>');	

			// En-tte tableau JEUX
			print('<tr class="trred">');
				print('<td width='.$lg_col_nom.' height="40" align="right">&nbsp;</td>');
				foreach($GAME as $id => $nc) { 
					$nc = str_replace(" ", "<br>", $nc);
					print('<th align="center" width='.$lg_col_cfg.'>'.strtoupper($id).'</td>');	
				}
			print('</tr>');
			
			// Contenu tableau JEUX
			$iduser = $_GET['u'];
			$nc = $USER[$iduser];
			print('<tr class="trred">');
				print('<th width='.$lg_col_nom.' height="40" align="right"><a href="config.php?u='.$iduser.'">'.$nc.'</a>&nbsp;&nbsp;</td>');

				// Chargement des paramtres associs
				$UserJeuxParam = array();
				$fp = fopen("data/".$iduser.".game", "rb"); 
				while ( ($ligne = fgets($fp)) !== false) { 
					$param = explode("=", $ligne); 
					$idParam = $param[0]; 
					$valParam = $param[1]; 
					$UserJeuxParam[$idParam] = $valParam; 
				} 
				fclose($fp);
				foreach($GAME as $id => $nc) { 
					if (array_key_exists($id, $UserJeuxParam)) {
						print('<td align="center" width='.$lg_col_cfg.'>');
							print('<select name='.$id.'>');
								if (trim($UserJeuxParam[$id]) == "oui") { 
									print('<option value=oui selected>j\'ai</option>');
								} else {
									print('<option value=oui>j\'ai</option>');
								} 
								if (trim($UserJeuxParam[$id]) == "non") {
									print('<option value=non selected>j\'ai pas</option>');
								} else {
									print('<option value=non>j\'ai pas</option>');
								} 
								if (trim($UserJeuxParam[$id]) == "buy") {
									print('<option value=buy selected> acheter</option>');
								} else {
									print('<option value=buy> acheter</option>');
								} 								
								if (trim($UserJeuxParam[$id]) == "na") { 
									print('<option value=na selected>???</option>');
								} else {
									print('<option value=na>???</option>');
								}
							print('</select>');
						print('</td>');
					} else {
						print('<td align="center" width='.$lg_col_cfg.'>');
							print('<select name='.$id.'>');
								print('<option value=oui>j\'ai</option>');
								print('<option value=non>j\'ai pas</option>');
								print('<option value=buy> acheter</option>');
								print('<option value=na selected>???</option>');
							print('</select>');
						print('</td>');					
					}
				}
			print('<tr>');
		print('</table>');	
		print('<input type="hidden" name="fichier" value="'.$iduser.'">');
		print('<table class="tab" width=200>');
			print('<tr height="80">');
				print('<td width=200 align="center"><input type="submit" name="writefile" value="mettre  jour les fichiers"></td>');
			print('</tr>');
			print('<tr height="20">');
				print('<td colspan=2 width=200 align="center"><a href="index.php">Retour</a></td>');
			print('</tr>');
		print('</table>');	
	print ('</form>');
}

?>

